Loading...
Searching...
No Matches
gx_system::AbstractPresetIO Class Referenceabstract

`#include <gx_json.h>`

Inheritance diagram for gx_system::AbstractPresetIO:

## Public Member Functions

virtual | ~AbstractPresetIO ()
virtual void | read_preset (JsonParser &, const SettingsFileHeader &)=0
virtual void | commit_preset ()=0
virtual void | write_preset (JsonWriter &)=0
virtual void | copy_preset (JsonParser &, const SettingsFileHeader &, JsonWriter &)=0

## Detailed Description

Definition at line 406 of file gx_json.h.

## Constructor & Destructor Documentation

## ~AbstractPresetIO()

virtual gx_system::AbstractPresetIO::~AbstractPresetIO | ( |  | ) |

virtual

## Member Function Documentation

## commit_preset()

virtual void gx_system::AbstractPresetIO::commit_preset | ( |  | ) |

pure virtual

Implemented in gx_preset::PresetIO.

## copy_preset()

virtual void gx_system::AbstractPresetIO::copy_preset | ( | JsonParser & | ,
|  | const SettingsFileHeader & | ,
|  | JsonWriter & | )

pure virtual

Implemented in gx_preset::PresetIO.

## read_preset()

virtual void gx_system::AbstractPresetIO::read_preset | ( | JsonParser & | ,
|  | const SettingsFileHeader & | )

pure virtual

Implemented in gx_preset::PresetIO.

## write_preset()

virtual void gx_system::AbstractPresetIO::write_preset | ( | JsonWriter & |  | ) |

pure virtual

Implemented in gx_preset::PresetIO.

The documentation for this class was generated from the following file:

- src/headers/gx_json.h